package com.qmth.data.docking.quartz;

import com.qmth.data.docking.service.JobService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.InitializingBean;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.io.IOException;
import java.security.KeyManagementException;
import java.security.NoSuchAlgorithmException;

/**
 * @Description: 定时任务
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/9/1
 */
@Component
public class ScheduledTask implements InitializingBean {
    private final static Logger log = LoggerFactory.getLogger(ScheduledTask.class);

    @Resource
    JobService jobService;

    @Scheduled(cron = "0 0 4 * * ?")
//    @Scheduled(cron = "0/15 * * * * ?")
    public void syncZufeData() throws IOException, NoSuchAlgorithmException, KeyManagementException {
        log.info("syncZufeData is come in");
        jobService.syncZufeData();
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        this.syncZufeData();
    }
}
