package com.qmth.data.docking.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.data.docking.entity.YjxtKcxx;
import com.qmth.data.docking.mapper.YjxtKcxxMapper;
import com.qmth.data.docking.service.YjxtKcxxService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 课程信息表 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2025-06-09
 */
@Service
public class YjxtKcxxServiceImpl extends ServiceImpl<YjxtKcxxMapper, YjxtKcxx> implements YjxtKcxxService {

    /**
     * 根据code和collegeName查找
     *
     * @param codeList
     * @param collegeNameList
     * @return
     */
    @Override
    public List<YjxtKcxx> findByCodeAndCollegeName(List<String> codeList, List<String> collegeNameList) {
        QueryWrapper<YjxtKcxx> yjxtKcxxQueryWrapper = new QueryWrapper<>();
        yjxtKcxxQueryWrapper.lambda().in(YjxtKcxx::getCode, codeList).and(x -> x.in(YjxtKcxx::getCollegeName, collegeNameList));
        return this.list(yjxtKcxxQueryWrapper);
    }
}
